summaryrefslogtreecommitdiff
path: root/distro/ubuntu
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu')
-rwxr-xr-xdistro/ubuntu/build36
-rwxr-xr-xdistro/ubuntu/postinst15
-rwxr-xr-xdistro/ubuntu/postrm10
-rwxr-xr-xdistro/ubuntu/preinst8
-rwxr-xr-xdistro/ubuntu/prerm11
5 files changed, 80 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 00000000..f14d45b4
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-file-manager
+pkgver=2011.11.10
+pkgrel=1
+pkgdesc="The MATE shell and file manager"
+depends=('libexif12' 'libexempi3' 'mate-icon-theme' 'shared-mime-info' 'desktop-file-utils' 'gvfs' 'libunique-1.0-0' 'mate-desktop' 'libgail18')
+makedepends=('pkgconfig' 'intltool')
+url="http://matsusoft.com.ar/projects"
+
+
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --libexecdir=/usr/lib/caja --enable-unique \
+ --disable-update-mimedb || return 1
+
+ make || return 1
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d ${pkgdir}/usr/share/mateconf/schemas
+
+ mateconf-merge-schema ${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 00000000..8e425b79
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+pkgname=mate-file-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --install ${pkgname}
+fi
+
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+
+update-desktop-database -q
+
+update-mime-database /usr/share/mime > /dev/null
+
+exit 0
diff --git a/distro/ubuntu/postrm b/distro/ubuntu/postrm
new file mode 100755
index 00000000..2c84eea7
--- /dev/null
+++ b/distro/ubuntu/postrm
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+pkgname=mate-file-manager
+
+gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+update-desktop-database -q
+update-mime-database /usr/share/mime > /dev/null
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 00000000..0fb460a9
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,8 @@
+#!/bin/sh -e
+
+pkgname=mate-file-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 00000000..0ae99ca5
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+pkgname=mate-file-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
+exit 0